콘텐츠로 건너뛰기

Overview

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

This API reference describes endpoints for managing subscriptions, coupons, and promotions. To get more information about Subscriptions, see the product guide and the glossary.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

요청

보안
managementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Get payment account info

본문application/json
card_expiry_dateobject or null
card_expiry_date.​monthstring
예제: "09"
card_expiry_date.​yearstring
예제: "2023"
idinteger필수
예제: "123"
namestring or null
예제: "** 7398"
ps_namestring or null
예제: "Mastercard"
switch_icon_namestring or null
예제: "mastercard.svg"
typestring필수
예제: "card"
응답
application/json
{ "card_expiry_date": { "month": "09", "year": "2023" }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }

요청

보안
managementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
본문application/json
sandboxboolean or null
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account/manage' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "sandbox": true
  }'

응답

Returns link for managing payment accounts

본문application/json
link_to_psstring필수
예제: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
응답
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }

요청

보안
managementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_accounts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Returns the user's billing accounts

본문application/json
itemsArray of objects
기본값 []
items[].​idinteger필수
예제: "12345"
items[].​namestring or null
예제: "PP_saved_account"
items[].​payment_system(object or null)
(object or null)
items[].​typestring or null
예제: "paypal"
응답
application/json
{ "items": [] }